﻿@import url('https://fonts.googleapis.com/css?family=Open+Sans');

.gosh-floating-btn {
    background: #f69238 !important;
    color: black !important;
    border-radius: 0 20px 0 20px !important;
    padding: 0.5rem 1.57143rem !important;
    z-index: 99999;
    position: fixed;
    bottom: 30px;
    right: 20px;
}

.GOSHHelpBox {
    position: fixed;
    bottom: 10px;
    right: 50px;
    border: 1px solid #CCC;
    border-radius: 15px;
    width: 300px;
    height: 487px;
    background: #fff;
    z-index: 999;
}

    .GOSHHelpBox .GOSHHelpBoxHeader {
        background: #39bd9f;
        padding: 15px;
        font-size: 20px;
        border-radius: 14px 14px 0 0;
        text-align: center;
        color: #FFF;
    }

    .GOSHHelpBox .GOSHHelpBoxIframe {
        border: 0;
        width: 100%;
        height: 420px;
    }

    .GOSHHelpBox .GOSHHelpBoxHeader .goshHelpHeaderMinimize {
        float: right;
        font-size: 45px;
        cursor: pointer;
        padding: 0px 10px;
        margin-top: -18px;
    }

.GOSHButton {
    padding: 7px 25px;
    border: 1px solid #CCC;
    background: #39bd9f;
    color: #FFF;
    font-weight: bold;
    font-size: 13px;
    border-radius: 8px;
    height: auto;
    width: auto;
}

    .GOSHButton.hide {
        display: none;
    }

.GOSHSpinner, .GOSHSpinner-a, .GOSHSpinner-b {
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    will-change: transform;
}

.GOSHSpinner {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 9051;
    -webkit-transform: translate(-50%,-50%) rotate(90deg);
    transform: translate(-50%,-50%) rotate(90deg);
    width: 2rem;
    z-index: -1;
}

.GOSHSpinner-a {
    -webkit-transform: rotate(60deg);
    transform: rotate(60deg);
}

.GOSHSpinner-b {
    -webkit-transform: rotate(120deg);
    transform: rotate(120deg);
}

.GOSHSpinner-a, .GOSHSpinner-b {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.GOSHSpinner, .GOSHSpinner-a, .GOSHSpinner-b {
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    will-change: transform;
}

    .GOSHSpinner:before, .GOSHSpinner-a:before, .GOSHSpinner-b:before, .GOSHSpinner:before, .GOSHSpinner-a:before, .GOSHSpinner-b:before {
        -webkit-animation-name: dotsBounceBefore-medium;
        animation-name: dotsBounceBefore-medium;
        top: -0.25rem;
        left: -0.25rem;
    }

    .GOSHSpinner:after, .GOSHSpinner:before, .GOSHSpinner .GOSHSpinner-a:after, .GOSHSpinner .GOSHSpinner-a:before, .GOSHSpinner .GOSHSpinner-b:after, .GOSHSpinner .GOSHSpinner-b:before, .GOSHSpinner.GOSHSpinner:after, .GOSHSpinner:before, .GOSHSpinner-a:after, .GOSHSpinner .GOSHSpinner-a:before, .GOSHSpinner .GOSHSpinner-b:after, .GOSHSpinner .GOSHSpinner-b:before {
        width: 0.5rem;
        height: 0.5rem;
    }

    .GOSHSpinner-a:before {
        -webkit-animation-delay: 83.33333ms;
        animation-delay: 83.33333ms;
    }

    .GOSHSpinner:after, .GOSHSpinner:before, .GOSHSpinner-a:after, .GOSHSpinner-a:before, .GOSHSpinner-b:after, .GOSHSpinner-b:before {
        content: "";
        position: absolute;
        background: #b0adab;
        border-radius: 50%;
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-iteration-count: infinite;
        animation-iteration-count: infinite;
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
    }

    .GOSHSpinner:before {
        -webkit-animation-delay: -83.33333ms;
        animation-delay: -83.33333ms;
    }

    .GOSHSpinner:after, .GOSHSpinner .GOSHSpinner-a:after, .GOSHSpinner .GOSHSpinner-b:after, .GOSHSpinner:after, .GOSHSpinner .GOSHSpinner-a:after, .GOSHSpinner .GOSHSpinner-:after {
        -webkit-animation-name: dotsBounceAfter-medium;
        animation-name: dotsBounceAfter-medium;
        top: -0.25rem;
        right: -0.25rem;
    }

@-webkit-keyframes dotsBounceBefore-medium {
    0% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }

    60% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        -webkit-animation-timing-function: cubic-bezier(.55,.085,.68,.53);
        animation-timing-function: cubic-bezier(.55,.085,.68,.53)
    }

    80% {
        -webkit-transform: translate3d(-.5rem,0,0);
        transform: translate3d(-.5rem,0,0);
        -webkit-animation-timing-function: cubic-bezier(0,1.11,.7,1.43);
        animation-timing-function: cubic-bezier(0,1.11,.7,1.43)
    }

    to {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@keyframes dotsBounceBefore-medium {
    0% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }

    60% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        -webkit-animation-timing-function: cubic-bezier(.55,.085,.68,.53);
        animation-timing-function: cubic-bezier(.55,.085,.68,.53)
    }

    80% {
        -webkit-transform: translate3d(-.5rem,0,0);
        transform: translate3d(-.5rem,0,0);
        -webkit-animation-timing-function: cubic-bezier(0,1.11,.7,1.43);
        animation-timing-function: cubic-bezier(0,1.11,.7,1.43)
    }

    to {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@-webkit-keyframes dotsBounceAfter-medium {
    0% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }

    60% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        -webkit-animation-timing-function: cubic-bezier(.55,.085,.68,.53);
        animation-timing-function: cubic-bezier(.55,.085,.68,.53)
    }

    80% {
        -webkit-transform: translate3d(.5rem,0,0);
        transform: translate3d(.5rem,0,0);
        -webkit-animation-timing-function: cubic-bezier(0,1.11,.7,1.43);
        animation-timing-function: cubic-bezier(0,1.11,.7,1.43)
    }

    to {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@keyframes dotsBounceAfter-medium {
    0% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }

    60% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        -webkit-animation-timing-function: cubic-bezier(.55,.085,.68,.53);
        animation-timing-function: cubic-bezier(.55,.085,.68,.53)
    }

    80% {
        -webkit-transform: translate3d(.5rem,0,0);
        transform: translate3d(.5rem,0,0);
        -webkit-animation-timing-function: cubic-bezier(0,1.11,.7,1.43);
        animation-timing-function: cubic-bezier(0,1.11,.7,1.43)
    }

    to {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}
